import request from '@/utils/request'
import Qs from 'qs'

export function listTask(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.task',
      _mt: 'list',
      ...query
    }
  })
}

export function createTask(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.task',
      _mt: 'create',
      ...data
    })
  })
}

export function updateTask(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.task',
      _mt: 'edit',
      ...data
    })
  })
}

export function deleteTask(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.task',
      _mt: 'delete',
      id: id
    }
  })
}
